import { PropertyValues, LitElement } from 'lit';
/**
 * @element nve-control-group
 * @description Groups many related form controls under a shared label and validation context for semantically linked inputs.
 * @since 0.3.0
 * @entrypoint \@nvidia-elements/core/forms
 * @slot - Control input elements
 * @cssprop --color
 * @cssprop --label-color
 * @cssprop --label-text-transform
 * @cssprop --label-font-weight
 * @cssprop --label-font-size
 * @aria https://developer.mozilla.org/en-US/docs/Web/API/ElementInternals
 * @package true
 */
export declare class ControlGroup extends LitElement {
    #private;
    /** Set each slotted control + label + control message layout */
    layout: 'vertical' | 'vertical-inline' | 'horizontal' | 'horizontal-inline';
    /** Set the visual prominence of the control group */
    prominence: 'muted';
    get label(): HTMLLabelElement | null;
    get inputs(): HTMLInputElement[];
    static styles: import('lit').CSSResult[];
    static readonly metadata: {
        tag: string;
        version: string;
    };
    /** @private */
    _internals: ElementInternals;
    render(): import('lit-html').TemplateResult<1>;
    connectedCallback(): void;
    firstUpdated(props: PropertyValues<this>): void;
    disconnectedCallback(): void;
}
